Skip to main content
POST
/
ingest
Ingest events
curl --request POST \
  --url https://api.withorb.com/v1/ingest \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "events": [
    {
      "event_name": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "properties": {},
      "idempotency_key": "<string>",
      "customer_id": "<string>",
      "external_customer_id": "<string>"
    }
  ]
}
'
{
  "validation_failed": [
    {
      "idempotency_key": "<string>",
      "validation_errors": [
        "<string>"
      ]
    }
  ],
  "debug": {
    "duplicate": [
      "<string>"
    ],
    "ingested": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.withorb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Query Parameters

debug
boolean
default:false

Flag to enable additional debug information in the endpoint response

backfill_id
string | null

If this ingestion request is part of a backfill, this parameter ties the ingested events to the backfill

Body

application/json
events
IngestEvent · object[]
required

Response

OK

validation_failed
ValidationError · object[]
required

Contains all failing validation events. In the case of a 200, this array will always be empty. This field will always be present.

debug
Debug · object

Optional debug information (only present when debug=true is passed to the endpoint). Contains ingested and duplicate event idempotency keys.